Skip to content

Create Download Transaction History Task

To download the transaction history, you must first create a download task. After the task is successfully created, a download_id is returned. This download_id is required to call the Download Task API.

Endpoint

POST https://api.mycactus.dev/custody-download/v1/api/projects/{b_id}/tx-details/download
request
POST https://api.mycactus.com/custody-download/v1/api/projects/{b_id}/tx-details/download
request

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID

Body Parameters

FieldTypeDescription
start_date
Required
StringThe start date of the transaction query period.
Format: YYYY-MM-DD
end_date
Required
StringThe end date of the transaction query period.
Format: YYYY-MM-DD
download_id
Optional
StringThe download task ID. If not provided in the request body, it will be automatically generated. It must match the regex pattern ^[A-Za-z0-9_-]+$.

The start_date and end_date parameters must be no more than 10 days apart. If the date range exceeds 10 days, the API will return error code 10380002.\ \ If the provided download_id does not match the above regex pattern, the API will return error code 10380002.

Request Body Example

{
   "start_date":"2025-12-02",
   "end_date":"2025-12-04"
}

Response

The transaction history download returns a ZIP file containing multiple JSON files. Transactions are grouped by day, with each day’s data stored in a separate JSON file. Each file contains detailed transaction records in the format shown here.

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
dataStringdownload_id is returned after the task is successfully created.
successfulBooleanWhether the request was successful

Response Example

{
   "code": 0,
   "message": "",
   "data": "b1447047670845f1",
   "successful": true
}